Package com.emc.documentum.rest.model

# Class VersionPolicy

java.lang.Object
com.emc.documentum.rest.model.VersionPolicy

public class VersionPolicy extends Object
Model for version policy

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final VersionPolicy`
  `NOT_ALLOWED`
  Constant for version policy NOT ALLOWED

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VersionPolicy()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `allow(int policy)`
  Make `policy` allowed
  `protected boolean`
  `allowed(int policy)`
  Check if `policy` allowed
  `boolean`
  `allowedBranchVersion()`
  Check if branch version is allowed
  `boolean`
  `allowedNextMajor()`
  Check if next major version is allowed
  `boolean`
  `allowedNextMinor()`
  Check if next minor version is allowed
  `boolean`
  `allowedSameVersion()`
  Check if same version is allowed
  `static VersionPolicy`
  `toVersionPolicy(com.documentum.fc.client.IDfSysObject dfcObject)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NOT_ALLOWED

    public static final VersionPolicy NOT_ALLOWED
    Constant for version policy NOT ALLOWED

- ## Constructor Details

  - ### VersionPolicy

    public VersionPolicy()

- ## Method Details

  - ### allow

    public void allow(int policy)
    Make `policy` allowed
    Parameters:
      `policy` - input policy

  - ### allowed

    protected boolean allowed(int policy)
    Check if `policy` allowed
    Parameters:
      `policy` - input policy
    Returns:
      `true` if `policy` is allowed

  - ### allowedNextMajor

    public boolean allowedNextMajor()
    Check if next major version is allowed
    Returns:
      `true` if next major version is allowed

  - ### allowedNextMinor

    public boolean allowedNextMinor()
    Check if next minor version is allowed
    Returns:
      `true` if next minor version is allowed

  - ### allowedSameVersion

    public boolean allowedSameVersion()
    Check if same version is allowed
    Returns:
      `true` if same version is allowed

  - ### allowedBranchVersion

    public boolean allowedBranchVersion()
    Check if branch version is allowed
    Returns:
      `true` if branch version is allowed

  - ### toVersionPolicy

    public static VersionPolicy toVersionPolicy(com.documentum.fc.client.IDfSysObject dfcObject) throws com.documentum.fc.common.DfException
    Throws:
      `com.documentum.fc.common.DfException`